# draugr.stopping.stopping_key.add_early_stopping_key_combination

draugr.stopping.stopping_key.add_early_stopping_key_combination(*callbacks: ~typing.Callable, has_x_server: bool = True, verbose: bool = False, combinations: ~typing.Iterable = [{<Key.ctrl: <65507>>, 'c'}, {<Key.ctrl: <65507>>, 'd'}, {'s', <Key.shift: <65505>>, <Key.alt: <65513>>}, {'S', <Key.shift: <65505>>, <Key.alt: <65513>>}, {<Key.ctrl: <65507>>, 'c'}, {<Key.ctrl: <65507>>, 'd'}, {'\x04'}, {'\x03'}])
  Parameters

    - combinations –

    - callbacks –

    - has_x_server –

    - verbose –

  Returns